Plugin Zalomení aktualizován pro nový WordPress 2.9

Rubrika: WordPress

Vyšel nový WordPress 2.9. Na internetu je o této skutečnosti spousta článků, takže nebudu zbytečně psát o tom, co se lépe dozvíte jinde. Nová verze WordPressu ovšem změnila některé své interní funkce a já jsem zjistil, že v ní nefunguje můj plug-in Zalomení. Takže na světě je rychlý fix, plugin Zalomení verze 1.2, který s novým WordPressem funguje (a funguje správně i se staršími verzemi, pozná si, nad jakou verzí WP běží a použije správné funkce dle verze).

Moje stávající oprava je spíše rychlým hackem. Totiž funkce, kterou jsem ve svém pluginu používal, byla ve starším WordPressu součástí API, od verze 2.9 se ovšem jedná o funkci privátní, kterou pluginy nemají používat. A já teď volám tu privátní funkci. To znamená, že můj plugin sice v této chvíli funguje, ale takto by to být nemělo. Jak odhalil jeden z uživatelů, např. plugin WP-Security-Check na toto upozorní, že to není v pořádku. Ovšem v těchto dnech jsem neměl dostatek prostoru řešit korektní verzi, měl jsem ale pocit, že musím rychle udělat opravu, protože lidé budou své WordPressy upgradovat.

Proto v brzké budoucnosti očekávejte verzi další, která nejen že bude fungovat, ale také bude korektní vzhledem k API systému WordPress. Akorát to třeba spojím ještě s nějakým rozšířením funkcionality pluginu Zalomení, aby to mělo pro uživatele i ještě nějaký další přínos.

  Zalomení plug-in pro WordPress (77,1 KiB, 5 937 stažení)